Page MenuHomePhabricator

[RFC] Refactoring release docs
AbandonedPublic

Authored by rengolin on Jul 6 2016, 2:58 AM.

Details

Summary

We still need a doc describing how to release and what are the requirements, who's responsible, etc.

This may not be a final take, and we may merge the two documents together, but I'm getting some early feedback on the content, not the presentation.

A few big changes:

  • removal of any mention to dragonegg
  • not pointing people to build by hand, but to use the release scripts
  • unique list of required tools and their versions (cmake, ninja, gcc, clang, libstcd++, msvc)
  • quality definition is not by arch anymore. Simple "no regression" policy on check-all+test-suite is the minimum.
  • added an "official testing" section, with the names of volunteers (please, all agree that you have volunteered!)
  • adding extended validation topic (*other* tests by the community, distribution validation)
  • adding how to report bugs, discussed recently on the release threads

Please review the content, and lets discuss the format later. We may want to merge the two release documents, or not. Doesn't matter right now.

Diff Detail

Event Timeline

rengolin updated this revision to Diff 62836.Jul 6 2016, 2:58 AM
rengolin retitled this revision from to [RFC] Refactoring release docs.
rengolin updated this object.
rengolin set the repository for this revision to rL LLVM.
rengolin added a subscriber: llvm-commits.
rovka edited edge metadata.Jul 6 2016, 4:53 AM

I confirm that I'm volunteering for AArch64 :)

docs/HowToReleaseLLVM.rst
244

Wasn't Hans doing Windows? At least that's what D21880 says...
In any case, if we're going to keep the 2 documents separate, we shouldn't duplicate this info.
Just an idea: maybe instead of having this list in the docs, we could have a RELEASE_TESTERS.TXT, similar to CODE_OWNERS.TXT et al? (Although I guess that's a presentation concern, so we can discuss it some other time)

rengolin added inline comments.Jul 6 2016, 5:33 AM
docs/HowToReleaseLLVM.rst
244

Hum, yeah, probably cut&paste error. I did reorder these lines quite a bit.

we could have a RELEASE_TESTERS.TXT, similar to CODE_OWNERS.TXT et al?

The thought had crossed my mind. I like the idea more than keeping this table here.

nikola accepted this revision.Jul 6 2016, 9:45 PM
nikola edited edge metadata.

This looks good to me, +1 for RELEASE_TESTERS.txt as it seems more consistent.

docs/HowToReleaseLLVM.rst
244

Yes, Hans does Windows.

This revision is now accepted and ready to land.Jul 6 2016, 9:45 PM
rengolin updated this revision to Diff 64550.Jul 19 2016, 1:09 PM
rengolin edited edge metadata.
rengolin removed rL LLVM as the repository for this revision.

Separating the release testers into a new file RELEASE_TESTERS.TXT.

dim added inline comments.Jul 19 2016, 1:17 PM
RELEASE_TESTERS.TXT
26

s/x85/x86/ :)

36

I test both i386 and x86_64, for the rest LGTM!

bero requested changes to this revision.Jul 19 2016, 1:31 PM
bero added a reviewer: bero.
bero added a subscriber: bero.

can do a bit more -- see inline comments

RELEASE_TESTERS.TXT
31

x86_64, i586, aarch64, armv7hnl. i586 will probably be replaced with i686 soon-ish.

32

May make sense to add AOSP -- will definitely run test builds there once Minseong's stuff is ready

This revision now requires changes to proceed.Jul 19 2016, 1:31 PM
benpope81 accepted this revision.Jul 19 2016, 6:01 PM
benpope81 edited edge metadata.

I'm changing "x86_64" to x86 to mean the target in LLVM, not the specific architecture, so we don't start with too many variations (ex i386, i586, i686, etc), which is pointless.

RELEASE_TESTERS.TXT
26

How did that go in there?

31

This is not about what you do, but what you're responsible for, in the LLVM community.

32

We can update once that's working. I don't want to promise anything.

rengolin updated this revision to Diff 64646.Jul 20 2016, 1:38 AM
rengolin edited edge metadata.
hans added inline comments.Jul 20 2016, 6:11 AM
RELEASE_TESTERS.TXT
3

I don't think "upstream" makes sense when referring to ourselves.

42

Can you drop Darwin from my entry? I'll still build and test it if no one else does, but it would be great if we could find someone to sign up for it.

docs/HowToReleaseLLVM.rst
91

The branches are actually created by the utils/release/tag.sh script. I'd suggest removing the commands below.

169

Isn't this already documented somewhere else? I worry that this will get out-dated, as the previous text was.

dsanders added inline comments.
RELEASE_TESTERS.TXT
54–57

Vasileios Kalintiris will be taking over my release testing starting with this release.

I also upload a x86_64 tarball for Debian at the moment because it's a by-product of some of my MIPS testing.

rengolin added inline comments.Jul 20 2016, 10:07 AM
RELEASE_TESTERS.TXT
3

ok

42

ok

54–57

done

docs/HowToReleaseLLVM.rst
91

ok

169

added a link instead.

rengolin updated this revision to Diff 64705.Jul 20 2016, 10:08 AM
rengolin edited edge metadata.
hans accepted this revision.Jul 20 2016, 12:52 PM
hans edited edge metadata.

Looks good to me. This is a huge improvement.

Thanks Hans,

I'm splitting the commit in two: doc and new file, so that we can proceed with better documents before everyone agree to have their names public. I'll be creating a new review for the RELEASE_TESTERS.TXT file.

thanks!
--renato

Just the docs in r276264.

rengolin abandoned this revision.Jul 21 2016, 5:09 AM

FYI: Just the RELEASE_TESTERS.TXT in D22624